Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 659
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 18.07.2017, 13:30  postituse pealkiri:  Video Firefoxis  

Tahtsin Suure väina vesipüksi videot vaadata, aga Firefox ütleb:
Teie veebilehitseja ei toeta meie video mängimist.
Jutt siis Delfi TV-st.

Ju on mingi FF plugin või laiendus puudu, aga milline?
Laienduste all on mul ainult ID-kaardi 'authentication module',
Pluginatest 'Firefox Token Signing', 'OpenH264 Video Codec' ja 'IcedTea-Web Plugin'.

Firefox on 52.2.0, OS openSUSE Leap 42.2.


ertserts
Pingviini aktivist
Pingviini aktivist



Liitunud: 31.10.2013
Postitused: 395
Asukoht: Tallinn
Distributsioon: Ubuntu, Debian
estonia.gif
postituspostitatud: 18.07.2017, 14:37  postituse pealkiri:  (teema puudub)  

Sa mõtled seda Vesipüksi: Suures väinas keerles vesipüks

Ma pakun, et sul on arvutis installimata vana hea flash-plugin (nt. shockwave flash). Mul flash FF'is (chrome'gi kuvab) olemas ja vesipüks möllab arvutiekraanil nii mis jube. Smile

_________________
ertserts@linuxialune:~$ echo;echo Local and Remote IP connections:;netstat -at|sort -k5|grep ESTABLISHED|cut -c20-80;echo

akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 659
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 18.07.2017, 17:16  postituse pealkiri:  (teema puudub)  

Ertserts, sai parem, tänan!
;o)


tris

Troll - ära toida!
Troll - ära toida!



Liitunud: 23.08.2014
Postitused: 536
Asukoht: eu
Distributsioon: *buntu
estonia.gif
postituspostitatud: 19.07.2017, 16:43  postituse pealkiri:  (teema puudub)  

ma vaatan chromiumiga, sellel saab.

_________________
link

akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 659
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 20.07.2017, 08:33  postituse pealkiri:  (teema puudub)  

Nüüd leidsin veel ühe video, mida ka lisatud shockwave flash ei näita:

http://edition.cnn.com/2017/07/17/politics/us-navy-drone-laser-weapon/index.html

Veebilehe info ütleb
http://pmd.cdn.turner.com/cnn/.element/video/assets/blank.mp4 - video

See on 6 sekundit kestev must ekraan, aga tekst ütleb, et video peaks olema 01:35.

Kes näeb ja millega näeb?


ertserts
Pingviini aktivist
Pingviini aktivist



Liitunud: 31.10.2013
Postitused: 395
Asukoht: Tallinn
Distributsioon: Ubuntu, Debian
estonia.gif
postituspostitatud: 20.07.2017, 10:48  postituse pealkiri:  (teema puudub)  

Minu lauaarvutis 64-bit Ubuntu 16.04 LTS'is nii FF kui Chrome brauseris mängitab videot Exclusive: CNN witnesses US Navy's drone-killing laser tips-tops.

Arvutisse on installeeritud flashplugin-installer (26.0.0.137ubuntu0.16.04.1).

Kui linkidel olevad videod arvutisse alla laadida siis 'file' käsuga vaadates on mõlema formaadid pisut erinevad.

US Navy drone-killing laser weapon USS Ponce - CNNPolitics.c.mp4: ISO Media, MP4 Base Media v1 [IS0 14496-12:2003]
blank.mp4: ISO Media, MP4 v2 [ISO 14496-14]

Utiliit 'mediainfo' annab muidugi veelgi rohkem (liigagi palju!) nende failide kohta infot.

Aga see 689KB blank.mp4 on tõesti nii brauserite kui VLC'ga vaadates täiesti pilditu blank. Smile

_________________
ertserts@linuxialune:~$ echo;echo Local and Remote IP connections:;netstat -at|sort -k5|grep ESTABLISHED|cut -c20-80;echo

akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 659
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 20.07.2017, 16:37  postituse pealkiri:  (teema puudub)  

Ma ei saa üldse ei linke ega seda .mp4 faili nime kätte, viskab kohe ette musta ekraani kirjaga
'undefined'
Info: This browser does not allow ...'

Veebilehe lähtetekstis on ainus video 'blank.mp4' näha, ja mitu .js linki.

Lisasin igasuguseid pluginaid, nii et nüüd on olemas:
DivX Web Player version 1.4.0.233

OpenH264 Vidoe Codec
QuickTime Plug-in 7.6.6
Shockwave Flash 11.1 r102
Shockwave Flash 26.0 r0
VLC Multimedia Plugin, compatible Videos 1.0.7
Windows Media Player Plug-in 10

Ikka näen musta ekraani sama kirjaga.

Vaatasin söbra Ubuntu-14 FF pluginaid, tal olid ainult
OpenH264 Vidoe Codec ja
Shockwave Flash 26.0 r0

Jätsin endal ka ainult need - ikka ei näita.


tonks
Pingviini külastaja
Pingviini külastaja



Liitunud: 01.12.2016
Postitused: 30
Asukoht: Harjumaa
Distributsioon: Zorin OS
estonia.gif
postituspostitatud: 20.07.2017, 17:18  postituse pealkiri:  (teema puudub)  

Aga proovi mõne teise brauseriga, näiteks Vivaldi, ID-kaardi tugi ka veel sellel. Saad teada, kas on brauseri kiiks või opsüsteemi puudulikkus. Minul FF, Opera, Vivaldi näitavad. Aga mul oli mitte väga ammu, et pärast mingit uuendust Opera enam videosid ei näidanud. Ütles, et flash pluginat ei ole, HTML5-ga oli ainult heli, pilti ei olnud. Kõigi teiste brauseritega näitas. Pärast mingit n korda süsteemi ja brauseri järjekordset uuendust hakkas jälle näitama. Mis mittenäitamise põhjuseks oli, ei tea.


akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 659
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 20.07.2017, 17:59  postituse pealkiri:  (teema puudub)  

Opera näitab sedasama 'undefined'
Chromium näitab avapilti ja jääb noolt keerutama.

Olgu muld talle kerge, sõprade arvutis nägin ära. Tavaliselt on mul kõik pildid ja videod blokeeritud, aga seda laseriga drooni allatulistamist tahtsin näha.

Võibolla virtuaalmasinas Ubuntu näitaks, aga see proovimine jääb järgmiseks korraks.

ID-kaardi sain käima nii FF-is kui qdigidoccliendi ja qesteidutili lähtetekstidest nii nagu Mihkel siin 19.11.2014 õpetas.

Veidi hiljem:
Sülearvutis on Ubuntu 16.04-s FF-l ainult üks plugin:: OpenH264 Video Codec,
ja sellega mängib. Või on selles süüdi laienduste all olev Ubuntu Modifications for FF?


sander85
Vana Pingviin
Vana Pingviin


Vanus: 31
Liitunud: 08.08.2005
Postitused: 4331
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 21.07.2017, 16:50  postituse pealkiri:  (teema puudub)  

Mingit NoScript laiendust või muud säärast pole? Või blokkis mingi adblocki tarkvara mõne vajaliku aadressi?

_________________
Image Image Image

tonks
Pingviini külastaja
Pingviini külastaja



Liitunud: 01.12.2016
Postitused: 30
Asukoht: Harjumaa
Distributsioon: Zorin OS
estonia.gif
postituspostitatud: 21.07.2017, 17:21  postituse pealkiri:  (teema puudub)  

Kas see videode näitamise probleem on mingil ajahetkel tekkinud või on selle opsüsteemi installimise algusest? Minul oli kunagi sama probleem, kui alles Linuxiga tutvust tegin, et teatud versioonist alates enam videot ei näidanud. Ei mäleta, kas mõnest kohas veebis näitas või ei ja ega eriti ei studeerinud asja ka. Google andis vastuseks, et graafika draiver on antud raua jaoks liiga uus ja vaja vanemat versiooni. Tulemuseks oli raua vahetus ja nagu muuseas üleminek Linuxile. Smile


akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 659
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 22.07.2017, 12:22  postituse pealkiri:  (teema puudub)  

OS on kaks nädalat tagasi installeeritud openSUSE Leap 42.2. Veebis surfamiseks kasutan pidevalt Operat, millel on igasugused blokeeringud peal, aga videoklippide ja ID-kaardi jaoks võtsin algselt tühja Firefoxi openSUSE repost. Sedamööda, kui mõnda klippi näha ei õnnestunud, hakkasin laiendusi lisama. Ertsertsi soovitatud shockwave flash näitas Muhu väina vesipüksi, aga CNN-i videoklippe ei ole veel liikuma saanud. Ei seda laserrelva oma, ei samas reas teisi - ju nad on kõik sama formaadiga. See laserrelva klipp on Youtube'is ka, sealt näitab.


ertserts
Pingviini aktivist
Pingviini aktivist



Liitunud: 31.10.2013
Postitused: 395
Asukoht: Tallinn
Distributsioon: Ubuntu, Debian
estonia.gif
postituspostitatud: 23.07.2017, 13:46  postituse pealkiri:  (teema puudub)  

Juhul kui sul on installitud flashplayer siis sellega enam muret ei tohiks olla.
Kuna minu lapsed on veel tilu-lilu arvutimängu eas siis olen flashplayeri tööd kontrollinud näiteks läbi koduka Friv. Kui seal töötab siis on flashiga igati OK.

Nüüd tuleks edasi nuputada, sest midagi on ikkagi värskelt installitud OS'is ja brauseris puudu. Java'ga muret ei tohiks olla sest minul pole Firefoxis java plugin üldse aktiivne. Pealegi on Firefox oma viimastes versioonides turvakaalutlustel java-plugini aktiivsuse maha keeranud. Viimase võib küll peale installida kuid algselt pole see uuemas Firefoxis ikkagi aktiivne (kunagi oli). Muidugi saab seda käsitsi aktiveerida kuid kas on selleks põhjust kui seda tavaliselt vaja pole (minul hetkel mitte!).

Minul on Ubuntu's installitud veel järgnevad paketid:
ubuntu-restricted-extras (media codecs and fonts)
ubuntu-restricted-addons (restricted packages)
browser-plugin-vlc (multimedia plugin for web browsers based on VLC)
mplayer (movie player for Unix-like systems)

Ps! Mina ise pole küll OpenSuse kasutaja kuid ma tean, et Suse puhul on olemas paketid mplayer ja mplayerplug-in (brauserite jaoks). Kindlasti on Suse'le pakkuda ka midagi 'restricted' pakettide laadset.

_________________
ertserts@linuxialune:~$ echo;echo Local and Remote IP connections:;netstat -at|sort -k5|grep ESTABLISHED|cut -c20-80;echo

sander85
Vana Pingviin
Vana Pingviin


Vanus: 31
Liitunud: 08.08.2005
Postitused: 4331
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 24.07.2017, 09:24  postituse pealkiri:  (teema puudub)  

Mulle tundub, et antud leht kasutab HTML5 videot ja mingit eraldi pluginat sisu esitamiseks vaja pole, pigem on ehk puudu sellised h264 koodekid, mida ka Firefox kasutada mõistaks. Ehk siis üle vaadata, et millised gstreameri pluginad on paigaldatud ja kas äkki on neist miskit puudu.

_________________
Image Image Image

akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 659
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 25.07.2017, 08:45  postituse pealkiri:  (teema puudub)  

Firefox on 52.2.0 (64-bit) for openSUSE Leap, openSUSE-42.2
Installeerides oli kaasas
OpenH264 Video Codec provided by Cisco Systems, Inc., 1.6:
This plugin is automatically installed by Mozilla to comply with the WebRTC specification and to enable WebRTC calls with devices that require the H.264 video codec.

Keelasin kõik teised pluginad, see üksi on aktiivne, aga see CNN-i videoklip kurdab ikka, et 'undefined'.
Oh, las ta olla.


sander85
Vana Pingviin
Vana Pingviin


Vanus: 31
Liitunud: 08.08.2005
Postitused: 4331
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 25.07.2017, 09:09  postituse pealkiri:  (teema puudub)  

Antud plugin on minu teada ainult WebRTC jaoks mõeldud ja ei räägi kaasa muude videote esitamisel.

Mageias on mul taolised gstreameri pakid paigaldatud:
gstreamer1.0-faad
gstreamer1.0-x264
gstreamer1.0-plugins-bad
gstreamer1.0-plugins-base
gstreamer1.0-plugins-ugly

Üks neist ilmselt annab Firefoxile ka vajaliku koodeki toe. Võib proovida lehel olles ka avada veebikonsooli (Ctrl + Shift + K) - äkki pajatatakse konsoolis, et mis täpselt puudu jääb.

_________________
Image Image Image

akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 659
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 26.07.2017, 08:56  postituse pealkiri:  (teema puudub)  

Lisasin gstreameri pakke, aga gstreamer??-x264 ei pakuta.

Veebikonsoolil tuleb seda lehte laadides sületäite kaupa veateateid, mõned rohkem asjasse puutuvad on ehk need:

XML Parsing Error: no root element found
Location: https://errors.client.optimizely.com/log
Line Number 1, Column 1:

HTTP “Content-Type” of “video/mp4” is not supported. Load of media resource http://pmd.cdn.turner.com/cnn/.element/video/assets/blank.mp4 failed.

Cannot play media. No decoders for requested formats: application/vnd.apple.mpegURL, video/mp4, audio/mp4; codecs="mp4a.40.34", audio/mpeg, video/mp4; codecs="avc1.4d401e", application/vnd.apple.mpegURL, video/mp4, audio/mp4; codecs="mp4a.40.34", audio/mpeg, video/mp4; codecs="avc1.4d401e", video/mp4

Content Security Policy: The page’s settings blocked the loading of a resource at http://tpc.googlesyndication.com/safeframe/1-0-9/html/container.html (“default-src http://edition.cnn.com blob: https://*.cnn.com:* http://*.cnn.com:* http://*.cnn.io:* http://*.cnn.net:* http://*.turner.com:* http://*.turner.io:* http://*.ugdturner.com:* http://courageousstudio.com http://*.vgtf.net:*”).

VIDEOJS: ERROR: (CODE:UNSUPPORTED undefined) Object { code: "UNSUPPORTED", info: Object, message: "" }


Need teated tulid, kui pluginatest olid aktiveeritud
OpenH264 Video Codec provided by Cisco Systems, Inc. ja
VLC Multimedia Plugin (compatible Videos 1.0.7)

Mu VLC mängib küll seda blank.mp4.


Ma ei viitsi seda rohkem tuhnida. Üks palju häirivam mure uues openSUSE-s ujus välja, sellest kirjutan teise teema all.


mait
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 14.12.2012
Postitused: 58
Asukoht: Tartu
Distributsioon: OpenSuse 12.2; 13.2, Leap
estonia.gif
postituspostitatud: 04.08.2017, 23:46  postituse pealkiri:  (teema puudub)  

Video vaatamisel on OpenSUSE originaalpaigalduses piirangud:

https://en.opensuse.org/SDB:Firefox_MP4/H.264_Video_Support

Originaalis kaasa tulnud ffmpeg pidin maha võtma ja packmani hoidlast uuesti paigaldama ja näiteks isegi ERR-i järelvaatamine hakkas tööle


akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 659
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 05.08.2017, 22:07  postituse pealkiri:  (teema puudub)  

mait kirjutas:
Originaalis kaasa tulnud ffmpeg pidin maha võtma ja packmani hoidlast uuesti paigaldama

ffmpeg 3.3-6.11.2 Vendor: http://packman.links2linux.de

Peale FF kinnipanekut ja uuesti avamist hakkas seda CNN-i klippi laserrelvast näitama.
Tänan!


Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group